/*font*/
@font-face {
    font-family: VarelaRound;
    src: url("../fonts/VarelaRound-Regular.ttf");
	font-weight: normal;
	font-style: normal;
}

/*Original*/
html {
	height: 100%;
    color: #636b6f;
    font-weight: 200;
}

body{
	height: 100%;
    font-family: VarelaRound;
    background-color: #e81d75;
}

.position-ref {
	height: 100%;
    position: relative;
}

.content {
    /*text-align: center;*/
}

/*Additional*/
/* painting page */
.paint_button{
    width: 100%;
}

.logo{
    width: 20%;
	position: fixed;
	left: 40%;
	bottom: 10%;
}

.tool-bar{
    padding-top: 10%;
    padding-bottom: 10%;

    background-image: url("../imgs/themes/sidebars/SideBar_Right.png");
    background-size: 100% 100%;
    background-repeat: no-repeat;
}

.tool-selected {
    background-color: lightseagreen;
}

.tool-image {
    height: 100%;
    width: 100%;
}

.selected {
    border: 2px red solid !important;
}

.selection{
    float: left;
    padding: 5px;
    margin: 5px;
    cursor: pointer;
}

.margin-top{
    margin-top:10px;
}

.margin-top-30 {
    margin-top:30px;
}

.btn-top-right{
	z-index: 5;
	position: fixed;
	top: 3%;
	right: 1%;
}

.btn-top-left{
	z-index: 5;
	position: fixed;
	top: 3%;
	left: 1%;
}

.btn-bottom-right{
	z-index: 5;
	position: fixed;
	bottom: 3%;
	right: 1%;
}
	
.margin-auto {
	margin: auto;
}

.scroll-panel-container {
	display: none;
	background-color: white;
	position: absolute;
}

.scroll-panel-header {
	top: 0;
    left: 0;
    position: sticky;
    background-color: #5abec5;
	z-index: 8;
}

.scroll-panel {
	background-color: #5abec5;
    height: 100%;
    width: 100%;
	overflow-x: hidden;
	overflow-y: auto;
}

.scroll-panel-content {
	margin: auto;
	text-align: left;
}

.scroll-panel-cover {
	display: none;
	background-color: rgba(0, 0, 0, 0.7);
	z-index: 8;
	width: 100%;
	height: 100%;
	top: 0%;
	left: 0%;
	position: fixed;
}

.scroll-panel-row {
	display: inline;
}

.red-text {
	font-size: 100%;
	color: red;
	text-shadow: 0px 0px 1px black;
}

.overlay {
	background-color: rgba(0, 0, 0, 0.7);
	z-index: 9;
	width: 100%;
	height: 100%;
	top: 0%;
	left: 0%;
	position: fixed;
	display: flex;
	align-items: center;
}

.overlay-content {
	border: 16px solid #f3f3f3; /* Light grey */
	border-top: 16px solid #3498db; /* Blue */
	border-radius: 50%;
	width: 100px;
	height: 100px;
	animation: spin 2s linear infinite;
	display: flex;
	margin: 0 auto;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@-ms-keyframes spin {
  0% { -ms-transform: rotate(0deg); }
  100% { -ms-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}